package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItembuygiftQueryactivityRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryactivityRequest) SetParam(v domain.AlibabaWdkMarketingItembuygiftQueryactivityCommonActivityParam) *AlibabaWdkMarketingItembuygiftQueryactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItembuygiftQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItembuygiftQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
